import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

//geoMercator is used for the flat map instead of sphere
const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({ data: { interiors, land } }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Patterson cylindrical' })} />
   //renders lines of latitude and longitude
    <path className="graticules" d={path(graticule())} />

    {land.features.map((feature) => (
      //renders the land polygons
      <path className="land" d={path(feature)} />
    ))}
// renders the country borders 
    <path className="interiors" d={path(interiors)} />
  </g>
);
