import { useEffect, useState } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// TopoJSON data reading
const jsonUrl =
  'https://cdn.jsdelivr.net/npm/world-atlas@2/countries-10m.json';


export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);
//reading the data
  useEffect(() => {
    json(jsonUrl).then((topology) => {
      const { countries, land } = topology.objects;
      //Update state of data variable(land,interiors)
      setData({
        land: feature(topology, land),
        interiors: mesh(
          topology,
          countries,
          (a, b) => a !== b
        ),
      });
    });
  }, []);

  return data;
};
